package cn.stylefeng.workflow.instance.modular.manage.service;

import cn.stylefeng.roses.kernel.db.api.pojo.page.PageResult;
import cn.stylefeng.workflow.api.entity.instance.RuntimeNodeEdge;
import cn.stylefeng.workflow.instance.modular.manage.pojo.request.RuntimeNodeEdgeRequest;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface RuntimeNodeEdgeService extends IService<RuntimeNodeEdge> {

    void add(RuntimeNodeEdgeRequest runtimeNodeEdgeRequest);

    void del(RuntimeNodeEdgeRequest runtimeNodeEdgeRequest);

    void edit(RuntimeNodeEdgeRequest runtimeNodeEdgeRequest);

    RuntimeNodeEdge detail(RuntimeNodeEdgeRequest runtimeNodeEdgeRequest);

    List<RuntimeNodeEdge> findList(RuntimeNodeEdgeRequest runtimeNodeEdgeRequest);

    PageResult<RuntimeNodeEdge> findPage(RuntimeNodeEdgeRequest runtimeNodeEdgeRequest);

    List<Long> getHighLightNodeEdgeList(Long instanceId);

}